Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class IncompatibleClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.persist.evolve.IncompatibleClassException

All Implemented Interfaces:
  Serializable

    public class IncompatibleClassException

extends RuntimeException

A class has been changed incompatibly and no mutation has been configured to handle the change or a new class version number has not been assigned.

See Also:
  `EntityStore.EntityStore`, `Entity.version()`, `Persistent.version()`, `Class Evolution`, Serialized Form

Constructor Summary
`IncompatibleClassException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompatibleClassException

    public IncompatibleClassException(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.